%define	name		sac
%define	version		1.3
%define	release		1jpp
%define	javadir		%{_datadir}/java
%define	javadocdir	%{_datadir}/javadoc
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java standard interface for CSS parser
License:	W3C Software License
Group:		Development/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}java-%{version}.zip
Source1:        %{name}.build.script.bz2
URL:		http://www.w3.org/Style/CSS/SAC/
BuildRequires:	ant
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
SAC is a standard interface for CSS parser and supposed to work with CSS1,
CSS2, CSS3 (currently under development) and other CSS derived languages.

%package javadoc
Group:		Development/Java
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
bzcat %{SOURCE1} > build.xml
# correct silly permissions
chmod -R go=u-w *
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
ant jar
ant javadoc

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/lib/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT.html
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Thu Jul 11 2002 Ville Skytt <ville.skytta at iki.fi> 1.3-1jpp
- Update to 1.3.
- Use sed instead of bash 2 extension when symlinking jars during build.
- Add Distribution tag, fix URL, tweak Summary and description.

* Wed Feb 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2-1jpp 
- first jpp release
